Skip to main content
POST
/
v1
/
admin
/
identity
/
entities
/
{entityType}
/
{entityId}
/
contact-points
Create entity contact point
curl --request POST \
  --url https://{operatorDomain}/v1/admin/identity/entities/{entityType}/{entityId}/contact-points \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "cpnt_01h...",
  "kind": "email",
  "value": "<string>",
  "label": "<string>"
}
'
{
  "id": "cpnt_01h...",
  "kind": "email",
  "value": "<string>",
  "label": "<string>"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

entityType
string
required
entityId
string
required

Body

application/json
id
string
Example:

"cpnt_01h..."

kind
string
Example:

"email"

value
string
label
string | null

Response

201 - application/json

Created contact point

id
string
Example:

"cpnt_01h..."

kind
string
Example:

"email"

value
string
label
string | null